How to install KDE

Forum rules
Before you post please read this

How to install KDE

Postby marietta_greg on Thu Nov 01, 2012 5:06 pm

Hello,

I'm running Maya / MATE, but would like to try out KDE 3.8 (or newer if its [u]stable[u]

What repository(ies) do I need to add, and what package do I need to install? I don't find a plain "kde" or "kde-meta" Probably a different name?

Thanks!
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Linux Mint is funded by ads and donations.
 

Re: How to install KDE

Postby marietta_greg on Fri Nov 02, 2012 3:01 pm

OK, surfing other places I found that I need to install kde-full.

Tried it and got these error messages:

Code: Select all
sudo apt-get install kde-full
[sudo] password for xxxxx:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kde-full : Depends: kde-plasma-desktop (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
            Depends: kde-plasma-netbook (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
            Depends: kdeartwork (>= 4:4.9.1) but it is not going to be installed
            Recommends: kde-standard (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Dependencies are missing, but will not be installed? Held broken packages? Help please
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Fri Nov 02, 2012 3:14 pm

what is the output of
Code: Select all
inxi -Sr
and also is the system updated? what is the output of
Code: Select all
apt update && apt upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Fri Nov 02, 2012 5:22 pm

Code: Select all
$ inxi -Sr
System:    Host: greg-Inspiron Kernel: 3.2.0-26-generic x86_64 (64 bit) Desktop: N/A Distro: Linux Mint 13 Maya
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ maya main upstream import
           deb-src http://packages.linuxmint.com/ maya main upstream import #Added by software-properties
           deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb-src http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ precise partner
           deb http://packages.medibuntu.org/ precise free non-free
           deb-src http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb-src http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb-src http://archive.canonical.com/ubuntu/ precise partner
           deb-src http://packages.medibuntu.org/ precise free non-free
           deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ precise partner
           deb http://packages.medibuntu.org/ precise free non-free
           deb-src http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb-src http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb-src http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb-src http://archive.canonical.com/ubuntu/ precise partner
           deb-src http://packages.medibuntu.org/ precise free non-free
           deb http://ppa.launchpad.net/screenlets/ppa/ubuntu precise main
           deb-src http://ppa.launchpad.net/screenlets/ppa/ubuntu precise main
           deb http://ppa.launchpad.net/gezakovacs/ppa/ubuntu precise main
           deb-src http://ppa.launchpad.net/gezakovacs/ppa/ubuntu precise main
           Active apt sources in file: /etc/apt/sources.list.d/chrysn-openscad-precise.list
           deb http://ppa.launchpad.net/chrysn/openscad/ubuntu precise main
           deb-src http://ppa.launchpad.net/chrysn/openscad/ubuntu precise main
           Active apt sources in file: /etc/apt/sources.list.d/kubuntu-ppa-backports-precise.list
           deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu precise main
           deb-src http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu precise main
           Active apt sources in file: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-precise.list
           deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu precise main
           deb-src http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu precise main
           Active apt sources in file: /etc/apt/sources.list.d/stellarium-stellarium-releases-maya.list
           deb http://ppa.launchpad.net/stellarium/stellarium-releases/ubuntu precise main
           deb-src http://ppa.launchpad.net/stellarium/stellarium-releases/ubuntu precise main

apt update && apt upgrade

I don't know if you want the exhaustive output, but significantly it hanged at trying to connect to packages.linuxmint.com [204.45.82.194]


Code: Select all
Err http://packages.linuxmint.com maya/main Sources
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/upstream Sources
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/import Sources
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/main amd64 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/upstream amd64 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/import amd64 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/main i386 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/upstream i386 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/import i386 Packages
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/import Translation-en_US
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/import Translation-en
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/main Translation-en_US
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/main Translation-en
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/upstream Translation-en_US
  Unable to connect to packages.linuxmint.com:http:
Err http://packages.linuxmint.com maya/upstream Translation-en
  Unable to connect to packages.linuxmint.com:http:
W: Failed to fetch http://packages.linuxmint.com/dists/maya/Release.gpg  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/main/source/Sources  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/upstream/source/Sources  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/import/source/Sources  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/main/binary-amd64/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/upstream/binary-amd64/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/import/binary-amd64/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/main/binary-i386/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/upstream/binary-i386/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/import/binary-i386/Packages  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/import/i18n/Translation-en_US  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/import/i18n/Translation-en  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/main/i18n/Translation-en_US  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/main/i18n/Translation-en  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/upstream/i18n/Translation-en_US  Unable to connect to packages.linuxmint.com:http:

W: Failed to fetch http://packages.linuxmint.com/dists/maya/upstream/i18n/Translation-en  Unable to connect to packages.linuxmint.com:http:

E: Some index files failed to download. They have been ignored, or old ones used instead.
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby marietta_greg on Fri Nov 02, 2012 5:29 pm

Hmm. I started TSing connectivity to packages.linuxmint.com, just pinging and tracerouting....suddenly its come back.

Re-running the command. Result was:

Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  kde-runtime kde-runtime-data libnepomuksync4 linux-generic linux-headers-generic linux-image-generic plasma-scriptengine-javascript
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.


but again:

Code: Select all
sudo apt-get install kde-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kde-full : Depends: kde-plasma-desktop (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
            Depends: kde-plasma-netbook (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
            Depends: kdeartwork (>= 4:4.9.1) but it is not going to be installed
            Recommends: kde-standard (>= 5:76~pre1ubuntu3~ubuntu12.04.1~ppa1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Fri Nov 02, 2012 8:12 pm

ok, let's try this way:
remove kubuntu-backports-ppa
Code: Select all
deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu precise main
deb-src http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu precise main

update the system and try again to install kde-full
tell us how it goes
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Sat Nov 03, 2012 11:38 am

Code: Select all
sudo apt-get update && apt upgrade
[sudo] password for greg:
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://security.ubuntu.com precise-security InRelease                                                                             
Ign http://archive.canonical.com precise InRelease                                                                                     
Ign http://ppa.launchpad.net precise InRelease                                                                                         
Hit http://packages.medibuntu.org precise InRelease                                                                                   
Ign http://ppa.launchpad.net precise InRelease                                                                                         
Ign http://ppa.launchpad.net precise InRelease                                                                                         
Hit http://archive.canonical.com precise Release.gpg                                                                                   
Hit http://ppa.launchpad.net precise Release.gpg                                                                                       
Hit http://ppa.launchpad.net precise Release.gpg                                                                                       
Hit http://security.ubuntu.com precise-security Release.gpg                                                                           
Hit http://archive.canonical.com precise Release                                                                                       
Hit http://ppa.launchpad.net precise Release.gpg                                                                                       
Hit http://ppa.launchpad.net precise Release.gpg                                                                                       
Hit http://security.ubuntu.com precise-security Release                                                                               
Hit http://ppa.launchpad.net precise Release.gpg                                                                                       
Hit http://ppa.launchpad.net precise Release                                                                                           
Hit http://archive.canonical.com precise/partner Sources                                                                               
Hit http://packages.medibuntu.org precise/free Sources                                                                                 
Hit http://security.ubuntu.com precise-security/main Sources                                                                           
Hit http://ppa.launchpad.net precise Release                                                                                           
Hit http://ppa.launchpad.net precise Release                                                                                           
Hit http://archive.canonical.com precise/partner amd64 Packages                                                                       
Hit http://archive.canonical.com precise/partner i386 Packages                                                                         
Ign http://archive.canonical.com precise/partner TranslationIndex                                                                     
Hit http://security.ubuntu.com precise-security/restricted Sources                                                                     
Hit http://security.ubuntu.com precise-security/universe Sources                                                                       
Hit http://security.ubuntu.com precise-security/multiverse Sources                                                                     
Hit http://security.ubuntu.com precise-security/main amd64 Packages                                                                   
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages                                                             
Hit http://security.ubuntu.com precise-security/universe amd64 Packages                                                               
Hit http://security.ubuntu.com precise-security/multiverse amd64 Packages                                                             
Hit http://security.ubuntu.com precise-security/main i386 Packages                                                                     
Hit http://security.ubuntu.com precise-security/restricted i386 Packages                                                               
Hit http://security.ubuntu.com precise-security/universe i386 Packages                                                                 
Hit http://ppa.launchpad.net precise Release                                                                                           
Hit http://ppa.launchpad.net precise Release                                                                                           
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages                                                               
Hit http://security.ubuntu.com precise-security/main TranslationIndex                                                                 
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex                                                           
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex                                                           
Hit http://security.ubuntu.com precise-security/universe TranslationIndex                                                             
Hit http://packages.medibuntu.org precise/non-free Sources                                                                             
Hit http://ppa.launchpad.net precise/main Sources                                                                                     
Hit http://ppa.launchpad.net precise/main amd64 Packages                                                                               
Hit http://ppa.launchpad.net precise/main i386 Packages                                                                               
Ign http://ppa.launchpad.net precise/main TranslationIndex                                                                             
Hit http://ppa.launchpad.net precise/main Sources                                                                                     
Hit http://ppa.launchpad.net precise/main amd64 Packages                                                                               
Hit http://ppa.launchpad.net precise/main i386 Packages                                                                               
Ign http://ppa.launchpad.net precise/main TranslationIndex                                                                             
Hit http://security.ubuntu.com precise-security/main Translation-en                                                                   
Hit http://security.ubuntu.com precise-security/multiverse Translation-en                                                             
Hit http://security.ubuntu.com precise-security/restricted Translation-en                                                             
Hit http://ppa.launchpad.net precise/main Sources                                                                                     
Hit http://ppa.launchpad.net precise/main amd64 Packages                                                                               
Hit http://ppa.launchpad.net precise/main i386 Packages                                                                               
Ign http://ppa.launchpad.net precise/main TranslationIndex                                                                             
Hit http://ppa.launchpad.net precise/main Sources                                                                                     
Hit http://ppa.launchpad.net precise/main amd64 Packages                                                                               
Hit http://ppa.launchpad.net precise/main i386 Packages                                                                               
Ign http://ppa.launchpad.net precise/main TranslationIndex                                                                             
Hit http://ppa.launchpad.net precise/main Sources                                                                                     
Hit http://ppa.launchpad.net precise/main amd64 Packages                                                                               
Hit http://security.ubuntu.com precise-security/universe Translation-en                                                               
Hit http://packages.medibuntu.org precise/free amd64 Packages                                                                         
Hit http://ppa.launchpad.net precise/main i386 Packages                                                                               
Ign http://ppa.launchpad.net precise/main TranslationIndex                                                                             
Hit http://packages.medibuntu.org precise/non-free amd64 Packages                                                                     
Hit http://packages.medibuntu.org precise/free i386 Packages                                                                           
Ign http://archive.canonical.com precise/partner Translation-en_US                                                                     
Ign http://ppa.launchpad.net precise/main Translation-en_US                                                                           
Ign http://ppa.launchpad.net precise/main Translation-en                                                                               
Ign http://archive.canonical.com precise/partner Translation-en                                                                       
Ign http://ppa.launchpad.net precise/main Translation-en_US                                                             
Ign http://ppa.launchpad.net precise/main Translation-en                                                                 
Ign http://ppa.launchpad.net precise/main Translation-en_US                                       
Ign http://ppa.launchpad.net precise/main Translation-en                                           
Ign http://ppa.launchpad.net precise/main Translation-en_US                                       
Ign http://ppa.launchpad.net precise/main Translation-en                                           
Hit http://packages.medibuntu.org precise/non-free i386 Packages                                   
Ign http://ppa.launchpad.net precise/main Translation-en_US                                                                           
Ign http://ppa.launchpad.net precise/main Translation-en                                                                               
Ign http://packages.medibuntu.org precise/free TranslationIndex                                                                     
Ign http://packages.medibuntu.org precise/non-free TranslationIndex                                                                 
Ign http://packages.linuxmint.com maya InRelease                                                                                   
Get:1 http://packages.linuxmint.com maya Release.gpg [197 B]                                                                       
Ign http://archive.ubuntu.com precise InRelease                                 
Ign http://archive.ubuntu.com precise-updates InRelease                         
Get:2 http://packages.linuxmint.com maya Release [17.7 kB]                     
Hit http://archive.ubuntu.com precise Release.gpg                               
Hit http://archive.ubuntu.com precise-updates Release.gpg                                                 
Get:3 http://packages.linuxmint.com maya/main Sources [17.6 kB]                 
Hit http://archive.ubuntu.com precise Release                                                                   
Get:4 http://packages.linuxmint.com maya/upstream Sources [6,099 B]                                             
Get:5 http://packages.linuxmint.com maya/import Sources [22.9 kB]                         
Hit http://archive.ubuntu.com precise-updates Release                                             
Get:6 http://packages.linuxmint.com maya/main amd64 Packages [18.3 kB]         
Get:7 http://packages.linuxmint.com maya/upstream amd64 Packages [10.6 kB]     
Get:8 http://packages.linuxmint.com maya/import amd64 Packages [41.4 kB]                                                               
Hit http://archive.ubuntu.com precise/main Sources                                                                                     
Hit http://archive.ubuntu.com precise/restricted Sources                                                                               
Hit http://archive.ubuntu.com precise/universe Sources                                                                                 
Hit http://archive.ubuntu.com precise/multiverse Sources                                                                               
Hit http://archive.ubuntu.com precise/main amd64 Packages                                                                             
Hit http://archive.ubuntu.com precise/restricted amd64 Packages                                                                       
Hit http://archive.ubuntu.com precise/universe amd64 Packages                                                                         
Hit http://archive.ubuntu.com precise/multiverse amd64 Packages                                                                       
Hit http://archive.ubuntu.com precise/main i386 Packages                                                                               
Hit http://archive.ubuntu.com precise/restricted i386 Packages                                                                         
Get:9 http://packages.linuxmint.com maya/main i386 Packages [18.3 kB]                                                                 
Get:10 http://packages.linuxmint.com maya/upstream i386 Packages [10.6 kB]                                                             
Get:11 http://packages.linuxmint.com maya/import i386 Packages [41.7 kB]                                                               
Hit http://archive.ubuntu.com precise/universe i386 Packages                                                                           
Hit http://archive.ubuntu.com precise/multiverse i386 Packages                                                                         
Hit http://archive.ubuntu.com precise/main TranslationIndex                                                                           
Hit http://archive.ubuntu.com precise/multiverse TranslationIndex                                                                     
Hit http://archive.ubuntu.com precise/restricted TranslationIndex                                                                     
Ign http://packages.linuxmint.com maya/import TranslationIndex                                                                         
Ign http://packages.linuxmint.com maya/main TranslationIndex                                                                           
Ign http://packages.linuxmint.com maya/upstream TranslationIndex                                                                       
Hit http://archive.ubuntu.com precise/universe TranslationIndex                                                                       
Hit http://archive.ubuntu.com precise-updates/main Sources                                                                             
Hit http://archive.ubuntu.com precise-updates/restricted Sources                                                                       
Hit http://archive.ubuntu.com precise-updates/universe Sources                                                                         
Hit http://archive.ubuntu.com precise-updates/multiverse Sources                                                                       
Hit http://archive.ubuntu.com precise-updates/main amd64 Packages                                                                     
Hit http://archive.ubuntu.com precise-updates/restricted amd64 Packages                                                               
Hit http://archive.ubuntu.com precise-updates/universe amd64 Packages                                                                 
Hit http://archive.ubuntu.com precise-updates/multiverse amd64 Packages                                                               
Hit http://archive.ubuntu.com precise-updates/main i386 Packages                                                                       
Hit http://archive.ubuntu.com precise-updates/restricted i386 Packages                                                                 
Hit http://archive.ubuntu.com precise-updates/universe i386 Packages                                                                   
Hit http://archive.ubuntu.com precise-updates/multiverse i386 Packages                                                                 
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex                                                                   
Hit http://archive.ubuntu.com precise-updates/multiverse TranslationIndex                                                             
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex                                                             
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex                                                               
Hit http://archive.ubuntu.com precise/main Translation-en                                                                             
Hit http://archive.ubuntu.com precise/multiverse Translation-en                                                                       
Hit http://archive.ubuntu.com precise/restricted Translation-en                                                                       
Hit http://archive.ubuntu.com precise/universe Translation-en                                                                         
Hit http://archive.ubuntu.com precise-updates/main Translation-en                                                                     
Hit http://archive.ubuntu.com precise-updates/multiverse Translation-en                                                               
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en                                                               
Hit http://archive.ubuntu.com precise-updates/universe Translation-en                                                                 
Ign http://packages.linuxmint.com maya/import Translation-en_US                                                                       
Ign http://packages.linuxmint.com maya/import Translation-en                                                                           
Ign http://packages.linuxmint.com maya/main Translation-en_US                                                                         
Ign http://packages.linuxmint.com maya/main Translation-en                                                                             
Ign http://packages.linuxmint.com maya/upstream Translation-en_US                                                                     
Ign http://packages.linuxmint.com maya/upstream Translation-en                                                                         
Ign http://packages.medibuntu.org precise/free Translation-en_US                                                                       
Ign http://packages.medibuntu.org precise/free Translation-en                                                                         
Ign http://packages.medibuntu.org precise/non-free Translation-en_US                                                                   
Ign http://packages.medibuntu.org precise/non-free Translation-en                                                                     
Fetched 205 kB in 9s (21.6 kB/s)                                                                                                       
Reading package lists... Done
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_restricted_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_universe_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/multiverse amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_multiverse_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/main i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_main_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/restricted i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/universe i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise/multiverse i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise_multiverse_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/universe amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_universe_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/multiverse amd64 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_multiverse_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/restricted i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/universe i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ precise-updates/multiverse i386 Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_precise-updates_multiverse_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/restricted amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_restricted_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/universe amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/multiverse amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_multiverse_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/restricted i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/universe i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ precise-security/multiverse i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_multiverse_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: Duplicate sources.list entry http://packages.medibuntu.org/ precise/free amd64 Packages (/var/lib/apt/lists/packages.medibuntu.org_dists_precise_free_binary-amd64_Packages)
W: Duplicate sources.list entry http://packages.medibuntu.org/ precise/non-free amd64 Packages (/var/lib/apt/lists/packages.medibuntu.org_dists_precise_non-free_binary-amd64_Packages)
W: Duplicate sources.list entry http://packages.medibuntu.org/ precise/free i386 Packages (/var/lib/apt/lists/packages.medibuntu.org_dists_precise_free_binary-i386_Packages)
W: Duplicate sources.list entry http://packages.medibuntu.org/ precise/non-free i386 Packages (/var/lib/apt/lists/packages.medibuntu.org_dists_precise_non-free_binary-i386_Packages)
W: You may want to run apt-get update to correct these problems
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  linux-generic linux-headers-generic linux-image-generic
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
greg@greg-Inspiron ~ $ sudo apt-get install kde-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kde-full : Depends: kde-plasma-desktop (>= 5:71~pre15ubuntu12.4) but it is not going to be installed
            Depends: kde-plasma-netbook (>= 5:71~pre15ubuntu12.4) but it is not going to be installed
            Depends: kdeartwork (>= 4:4.8.2) but it is not going to be installed
            Depends: kdegraphics (>= 4:4.8.2) but it is not going to be installed
            Depends: kdeedu (>= 4:4.8.2) but it is not going to be installed
            Depends: kdenetwork (>= 4:4.8.2) but it is not going to be installed
            Depends: kdeutils (>= 4:4.8.2) but it is not going to be installed
            Depends: kdepim (>= 4:4.8.2) but it is not going to be installed
            Depends: kdeplasma-addons (>= 4:4.8.2) but it is not going to be installed
            Recommends: kde-standard (>= 5:71~pre15ubuntu12.4) but it is not going to be installed
            Recommends: kdesdk (>= 4:4.8.2) but it is not going to be installed
            Recommends: kdewebdev (>= 4:4.8.2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.



I've had those duplicates all along. But I think they are not germain to this situation. I know I need to clean up my /etc/apt/sources (?) or something like that.
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Sat Nov 03, 2012 6:34 pm

please when posting code outputs use the Code tags available (makes the posts easier to read)

now to the problem in hand:
- i believe that the problem is that you updated some packages from kde-backports while trying to install kde-full will kubuntu-backports-ppa activated and now you have some mismatches:
what is the output of (just to start with the first ones that apt complains)
Code: Select all
apt-cache policy kde-plasma-desktop kde-plasma-netbook kdeartwork
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Sun Nov 04, 2012 3:10 pm

OK, here's the results of the code.

Code: Select all
greg@greg-Inspiron ~ $ apt-cache policy kde-plasma-desktop kde-plasma-netbook kdeartwork
kde-plasma-desktop:
  Installed: (none)
  Candidate: 5:71~pre15ubuntu12.4
  Version table:
     5:71~pre15ubuntu12.4 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/universe amd64 Packages
     5:71~pre15ubuntu12.3 0
        500 http://security.ubuntu.com/ubuntu/ precise-security/universe amd64 Packages
     5:71~pre15ubuntu12 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
kde-plasma-netbook:
  Installed: (none)
  Candidate: 5:71~pre15ubuntu12.4
  Version table:
     5:71~pre15ubuntu12.4 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/universe amd64 Packages
     5:71~pre15ubuntu12.3 0
        500 http://security.ubuntu.com/ubuntu/ precise-security/universe amd64 Packages
     5:71~pre15ubuntu12 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
kdeartwork:
  Installed: (none)
  Candidate: 4:4.8.5-0ubuntu0.1
  Version table:
     4:4.8.5-0ubuntu0.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/universe amd64 Packages
     4:4.8.2-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby marietta_greg on Mon Nov 05, 2012 9:35 am

OK, I have attempted to remove EVERTHING KDE so that I can start over. But no success. It appears nothing KDE was ever installed. I will go into Synaptic, a graphically look for anythign KDE installed and mark for removal, but I fear that is futile since Synaptic is really just a GUI front end for apt.

Code: Select all
greg@greg-Inspiron ~ $ sudo apt-get remove --purge kde-full
[sudo] password for greg:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package kde-full is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
greg@greg-Inspiron ~ $ sudo apt-get remove --purge kde-desktop
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package kde-desktop
greg@greg-Inspiron ~ $ sudo apt-get remove --purge kde
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Virtual packages like 'kde' can't be removed
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.


Re synaptic - no joy there. There are KDE related libraries, but they seem to support previously installed packages I want to keep like K-stars, K-planetarium and Amorak
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Mon Nov 05, 2012 10:00 am

i'm having some difficulties understanding why is not working for you, specially because in august it did >> viewtopic.php?f=90&t=109419
one of the options in that topic was:
- install (through synaptic) mint-meta-kde
- it will pop-up additional changes to confirm > accept them (but don't proceed yet to install)
- go back to the search and locate mint-info-kde and unmark it to install (this action will unmark also mint-meta-kde but the packages we want to install won't be affected)

tell us how this goes :?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Mon Nov 05, 2012 10:31 am

Synaptic shows mint-info-kde NOT installed. Box is unchecked.
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Postby zerozero on Mon Nov 05, 2012 10:53 am

marietta_greg wrote:Synaptic shows mint-info-kde NOT installed. Box is unchecked.

that happens in the process of installing/checking for install mint-meta-kde?
did you tried that soluction?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Mon Nov 05, 2012 1:18 pm

mint-meta-kde was not checked. I checked, and installed. It proceeded to begin to install 21 packages. I thought I had something going here.

Then Synaptic threw this error in a pop-up box "An error occurred" "E: /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb: trying to overwrite '/etc/linuxmint/info', which is also in package mint-info-mate 2012.05.02"

I notice the word "cache" which you mentioned earlier as possibly having somethign to do with my troubles. Then again, I have NO idea what I'm reading here :)

Only option is to click "Close" Then in Changes applied, Details window, I find this

Code: Select all
Selecting previously unselected package openjdk-7-jre-lib.
(Reading database ... 249310 files and directories currently installed.)
Unpacking openjdk-7-jre-lib (from .../openjdk-7-jre-lib_7u9-2.3.3-0ubuntu1~12.04.1_all.deb) ...
Selecting previously unselected package openjdk-7-jre-headless.
Unpacking openjdk-7-jre-headless (from .../openjdk-7-jre-headless_7u9-2.3.3-0ubuntu1~12.04.1_amd64.deb) ...
Selecting previously unselected package flac.
Unpacking flac (from .../flac_1.2.1-6_amd64.deb) ...
Selecting previously unselected package kdm-theme-mint-kde.
Unpacking kdm-theme-mint-kde (from .../kdm-theme-mint-kde_5.0.2_all.deb) ...
Selecting previously unselected package ksplash-theme-mint-kde.
Unpacking ksplash-theme-mint-kde (from .../ksplash-theme-mint-kde_50.2_all.deb) ...
Selecting previously unselected package libkcddb4.
Unpacking libkcddb4 (from .../libkcddb4_4%3a4.8.5-0ubuntu1_amd64.deb) ...
Selecting previously unselected package libk3b6.
Unpacking libk3b6 (from .../libk3b6_2.0.2-3ubuntu4_amd64.deb) ...
Selecting previously unselected package libk3b6-extracodecs.
Unpacking libk3b6-extracodecs (from .../libk3b6-extracodecs_2.0.2-3ubuntu4_amd64.deb) ...
Selecting previously unselected package librsvg2-bin.
Unpacking librsvg2-bin (from .../librsvg2-bin_2.36.1-0ubuntu1_amd64.deb) ...
Selecting previously unselected package libxine1-bin.
Unpacking libxine1-bin (from .../libxine1-bin_1.1.20-2build1_amd64.deb) ...
Selecting previously unselected package libxine1-ffmpeg.
Unpacking libxine1-ffmpeg (from .../libxine1-ffmpeg_1.1.20-2build1_amd64.deb) ...
Selecting previously unselected package mint-artwork-kde.
Unpacking mint-artwork-kde (from .../mint-artwork-kde_2.0.2_all.deb) ...
Selecting previously unselected package mint-artwork-kde-extra.
Unpacking mint-artwork-kde-extra (from .../mint-artwork-kde-extra_1.0.1_all.deb) ...
Selecting previously unselected package mint-artwork-kde-icons.
Unpacking mint-artwork-kde-icons (from .../mint-artwork-kde-icons_1.0.0_all.deb) ...
Selecting previously unselected package mint-configuration-kde.
Unpacking mint-configuration-kde (from .../mint-configuration-kde_5.0.9_all.deb) ...
Selecting previously unselected package mint-info-kde.
Unpacking mint-info-kde (from .../mint-info-kde_2012.05.02_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb (--unpack):
 trying to overwrite '/etc/linuxmint/info', which is also in package mint-info-mate 2012.05.02
Selecting previously unselected package openjdk-7-jre.
Unpacking openjdk-7-jre (from .../openjdk-7-jre_7u9-2.3.3-0ubuntu1~12.04.1_amd64.deb) ...
Selecting previously unselected package phonon-backend-vlc.
Unpacking phonon-backend-vlc (from .../phonon-backend-vlc_0.5.0-0ubuntu1_amd64.deb) ...
Selecting previously unselected package mint-meta-codecs-kde.
Unpacking mint-meta-codecs-kde (from .../mint-meta-codecs-kde_12.0.5_amd64.deb) ...
Selecting previously unselected package mint-meta-kde.
Unpacking mint-meta-kde (from .../mint-meta-kde_12.0.5_all.deb) ...
Selecting previously unselected package icedtea-7-jre-jamvm.
Unpacking icedtea-7-jre-jamvm (from .../icedtea-7-jre-jamvm_7u9-2.3.3-0ubuntu1~12.04.1_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for mintsystem ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
Errors were encountered while processing:
 /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb
W: Waited for dpkg --assert-multi-arch but it wasn't there - dpkgGo (10: No child processes)
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up phonon-backend-vlc (0.5.0-0ubuntu1) ...
Setting up librsvg2-bin (2.36.1-0ubuntu1) ...
dpkg: dependency problems prevent configuration of mint-meta-kde:
 mint-meta-kde depends on mint-info-kde; however:
  Package mint-info-kde is not installed.
dpkg: error processing mint-meta-kde (--configure):
 dependency problems - leaving unconfigured
Setting up ksplash-theme-mint-kde (50.2) ...
Setting up libkcddb4 (4:4.8.5-0ubuntu1) ...
Setting up flac (1.2.1-6) ...
Setting up mint-configuration-kde (5.0.9) ...
cp: cannot create regular file `/usr/share/kde4/apps/quassel/scripts/inxi': No such file or directory
dpkg: error processing mint-configuration-kde (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up mint-artwork-kde (2.0.2) ...
Setting up libxine1-bin (1.1.20-2build1) ...
Setting up kdm-theme-mint-kde (5.0.2) ...
Setting up mint-artwork-kde-extra (1.0.1) ...
Setting up mint-artwork-kde-icons (1.0.0) ...
Setting up libk3b6 (2.0.2-3ubuntu4) ...
Setting up libxine1-ffmpeg (1.1.20-2build1) ...
Setting up libk3b6-extracodecs (2.0.2-3ubuntu4) ...
Setting up openjdk-7-jre-headless (7u9-2.3.3-0ubuntu1~12.04.1) ...
Setting up openjdk-7-jre-lib (7u9-2.3.3-0ubuntu1~12.04.1) ...
Setting up openjdk-7-jre (7u9-2.3.3-0ubuntu1~12.04.1) ...
Setting up icedtea-7-jre-jamvm (7u9-2.3.3-0ubuntu1~12.04.1) ...
Setting up mint-meta-codecs-kde (12.0.5) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 mint-meta-kde
 mint-configuration-kde



I'm going to try again using apt so that I get full text of what's going on.
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby marietta_greg on Mon Nov 05, 2012 2:58 pm

Code: Select all
sudo apt install mint-meta-kde
Reading package lists... Done
Building dependency tree       
Reading state information... Done
mint-meta-kde is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 mint-meta-kde : Depends: mint-info-kde but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
greg@greg-Inspiron ~ $ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  mint-info-kde
The following NEW packages will be installed:
  mint-info-kde
0 upgraded, 1 newly installed, 0 to remove and 24 not upgraded.
2 not fully installed or removed.
Need to get 0 B/1,990 B of archives.
After this operation, 34.8 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
(Reading database ... 257101 files and directories currently installed.)
Unpacking mint-info-kde (from .../mint-info-kde_2012.05.02_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb (--unpack):
 trying to overwrite '/etc/linuxmint/info', which is also in package mint-info-mate 2012.05.02
Errors were encountered while processing:
 /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Tue Nov 06, 2012 8:09 am

sorry but you missed the warnings that i gave you a couple posts above viewtopic.php?f=109&t=116058&p=644972#p644909 on how to proceed here: mint-info-kde shouldn't be allowed to install (i thought that was clear in the above post)

now about that error: does apt update && apt upgrade goes without showing any error?

furthermore
marietta_greg wrote:It proceeded to begin to install 21 packages.
this looks strange. i would expect a lot more, this means that most of the kde is already installed (or at least apt thinks like that)
can you provide us the output of
Code: Select all
sudo dpkg --get-selections > ~/packages
this will create a txt file in your home directory with a list of all the packages installed in your system (as the forum doesn't allow the upload of .txt rename it to .odt and attach it here)

tks a lot
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: How to install KDE

Postby marietta_greg on Tue Nov 06, 2012 10:48 am

I checked Synaptic and mint-into-kde is not installled.

update && upgrade results - completed without error.

packages.odt is attached
Attachments
packages.odt
(65.31 KiB) Downloaded 61 times
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby marietta_greg on Thu Nov 08, 2012 10:54 am

Hi, any new ideas, zerozero?
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby marietta_greg on Fri Nov 09, 2012 5:53 pm

When I try to install mint-meta-kde,

I encounter an error when it attempts to install a dependancy, mint-info-kde.

But it seems to have a conflict with a mate info file, /etc/linuxmint/info

I first renamed that file to info.old and retried, then out right deleted it and reran the install. Still I get the below error. I have cleaned out archives so that there are NO .deb files until the and started over. Only /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb exists.

Still I get this error. I don't undrestand where this conflict is coming from.
Code: Select all
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  mint-info-kde
The following NEW packages will be installed:
  mint-info-kde
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
2 not fully installed or removed.
Need to get 0 B/1,990 B of archives.
After this operation, 34.8 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
(Reading database ... 257250 files and directories currently installed.)
Unpacking mint-info-kde (from .../mint-info-kde_2012.05.02_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb (--unpack):
 trying to overwrite '/etc/linuxmint/info', which is also in package mint-info-mate 2012.05.02
Errors were encountered while processing:
 /var/cache/apt/archives/mint-info-kde_2012.05.02_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

So then I think, I'm going to wipe mint-meta-kde entirely. Maybe even reboot, to start over, But I can't even do that!!
Code: Select all
sudo apt-get purge mint-meta-kde
[sudo] password for greg:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  mint-meta-kde*
0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
2 not fully installed or removed.
After this operation, 32.8 kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 257249 files and directories currently installed.)
Removing mint-meta-kde ...
Setting up mint-configuration-kde (5.0.9) ...
cp: cannot create regular file `/usr/share/kde4/apps/quassel/scripts/inxi': No such file or directory
dpkg: error processing mint-configuration-kde (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 mint-configuration-kde
E: Sub-process /usr/bin/dpkg returned an error code (1)


I cannot believe the hours wasted trying to check out KDE. Very frustrated. non-geeks are supposed to use Mint / KDE ? REALLY?
marietta_greg
Level 2
Level 2
 
Posts: 98
Joined: Thu Feb 02, 2012 10:57 pm

Re: How to install KDE

Postby zerozero on Sat Nov 10, 2012 7:53 am

marietta_greg,
i'm sorry but:
  • 1- i wrote here in this topic twice that mint-info-kde shouldn't be allowed to install (one of them in bold red);
  • 2- i also said that the installation of mint-meta-kde was somehow strange because pulling in only 21 packages is not normal;
  • 3- regarding point 1- you did tried once (against my advise) and came out without problems here, tried again now and have issues
  • 4- i looked several times at the packages.odt i requested and you sent and:
    • a) you stated above that didn't want to purge kde through synaptic because you didn't want to lose amarok here
    • b) amarok doesn't show up in the packages.odt but a lot of other kde-related libs do what leads me again to this conclusion here
    • c) kubuntu-backports should be used to update kde (it's a kde ppa afterall) the kind of usage you tried might/most probably will leave to broken dependencies/mismatches

marietta_greg wrote:non-geeks are supposed to use Mint / KDE ? REALLY?
yep, usually without major issues.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 
Next

Return to KDE

Who is online

Users browsing this forum: No registered users and 1 guest